<!DOCTYPE html>
<html>
 <head>
    <meta charset="utf-8" />
    <title>Cat Walk</title>
 </head>
 <body>
  
  <img style="position:absolute;" src="http://www.anniemation.com/clip_art/images/cat-walk.gif">
  
 </body>
    
    <script>
        let img = document.getElementsByTagName('img')[0];
        img.style.left = '0px';
        let walkForwards = true;
        function catWalk() {
            let currentLeft = parseInt(img.style.left);
  
            if (walkForwards && (currentLeft > (window.innerWidth-img.width))) {
                walkForwards = false;
            }
            if (!walkForwards && (currentLeft <= 0)) {
                walkForwards = true;
            }
            
            if (walkForwards) {
                img.style.left = (currentLeft + 10) + 'px';
                img.style.transform='scaleX(1)';
            } else {
                img.style.left = (currentLeft - 10) + 'px';
                img.style.transform='scaleX(-1)';
            }
            }
            window.setInterval(catWalk, 50);
    </script>
</html>